@charset "utf-8";
/* CSS Document */

/*〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓
root設定
〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓*/

*:root {
  /*幅1280pxの時に1文字10pxとなる値 最小値10px*/
  font-size: 10px;
  /* font-size: 10px; */
  font-family: "Noto Sans JP", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  line-height: 1;
  /*自動カーニング*/
  /* font-feature-settings: "palt"; */
  /*両端揃え*/
  text-align: justify;
  /* ---------- */
  /* 変数 */
  /* フォント */
  --fsize_m: 1.6rem;
  --fsize_l: calc(var(--fsize_m) * 1.25);
  --fsize_ll: calc(var(--fsize_m) * 1.5);
  --fsize_xl: calc(var(--fsize_m) * 1.75);
  --fsize_xxl: calc(var(--fsize_m) * 2);
  --fsize_s: calc(var(--fsize_m) * 0.875);
  --fsize_ss: calc(var(--fsize_m) * 0.75);
  --fsize_xs: calc(var(--fsize_m) * 0.675);
  /* パディング */
  --pd_page_lr: var(--fsize_m);
  /* 色 */
  --color-deep-blue: #263a8a;
}

@media screen and (max-width: 768px) {
  /*幅768pxの時に1文字10pxとなる値*/
  *:root {
    font-size: 1.30208vw;
  }
}

@media screen and (max-width: 480px) {
  /*幅375pxの時に1文字10pxとなる値*/
  *:root {
    font-size: 2.6667vw;
    /* ---------- */
    /* 変数 */
    --fsize_m: 1.4rem;
    --fsize_l: 1.6rem;
    --fsize_ll: 1.8rem;
    --fsize_xl: 2rem;
    --fsize_s: 1.2rem;
    --fsize_ss: 1rem;
    --fsize_xs: 1rem;
  }
}

/*〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓
スムーズスクロール
〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓*/
html {
  scroll-behavior: smooth;
  scroll-padding-top: 8rem;

  @media screen and (max-width: 480px) {
    scroll-padding-top: 4.8rem;
  }
}

/*〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓
noscript
〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓*/

noscript {
  display: block;
  font-size: var(--fsize_m);
  padding: 1em;
  background-color: #ff0;
  text-align: center;
  line-height: 2;
  position: relative;
  z-index: 10000000;
  width: auto;
  color: #000;
  word-break: keep-all;
}

/*〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓
font設定
〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓*/
.font-mintyo {
  font-family: "Noto Serif JP", serif;
}
.font-en {
  font-family: "Figtree", sans-serif;
}

/*〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓
表示制御
〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓*/

/*PCで消す*/
.pc_hide {
  display: none;

  @media screen and (max-width: 480px) {
    display: block;
  }
}

/*SPで消す*/
@media screen and (max-width: 480px) {
  .sp_hide {
    display: none;
  }
}

/*〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓
リンク設定
〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓*/

/*リンク*/

a {
  text-decoration: underline;
  transition: all 0.2s ease;
  color: #000066;
  &:visited {
    color: #666;
  }

  &:hover {
    opacity: 0.8;
  }

  &:active {
    opacity: 0.5;
  }
}

/*PCでリンクを殺す*/
@media screen and (min-width: 481px) {
  a.disabled {
    pointer-events: none;

    &:hover,
    &:active {
      opacity: 1 !important;
    }
  }
}

/*SPでリンクを殺す*/
@media screen and (max-width: 480px) {
  a.sp_disabled {
    pointer-events: none;

    &:hover,
    &:active {
      opacity: 1 !important;
    }
  }
}

/*--------------------*/
/* 矢印 */
.yajirushi {
  display: inline-block;
  position: relative;
  padding-right: 1em;

  &::after {
    content: "";
    display: block;
    position: absolute;
    width: 0.375em;
    aspect-ratio: 1/1;
    border-top: 2px solid var(--color-deep-blue);
    border-right: 2px solid var(--color-deep-blue);
    right: 0;
    top: 50%;
    transform: translateY(-40%) rotate(45deg);
  }
  &.white {
    &::after {
      border-color: #fff;
    }
  }
}

/* 三角 */
.sankaku {
  display: inline-block;
  position: relative;
  padding-right: 1em;

  &::after {
    content: "";
    display: block;
    position: absolute;
    width: 0.25em;
    aspect-ratio: 1 / 1;
    border: 1px solid #000;
    border-top: none;
    border-left: none;
    right: 0.17em;
    top: 50%;
    transform: translate(0, -50%) rotate(-45deg);
  }
}

/*--------------------*/
/* 丸ボタン */

.maru_button {
  display: block;

  font-size: var(--fsize_m);
  text-align: center;
  padding: 0.875em 2em 0.975em;
  border-radius: 999px;

  @media screen and (max-width: 480px) {
    min-width: 2.8rem;
  }

  span {
    display: inline-block;

    &.icon-mail {
      position: relative;
      padding-left: 2.2em;
      &::before {
        content: "";
        width: 1.75em;
        aspect-ratio: 1/1;
        display: block;
        position: absolute;
        left: 0;
        top: 50%;
        transform: translateY(-45%);
        background-repeat: no-repeat;
        background-size: contain;
        background-image: url(../img/common/icon-mail-blue.svg);
        background-position: center center;
      }
    }
  }
  &.white {
    background-color: #fff;
    color: var(--color-deep-blue);
    span {
      &.icon-mail {
        &::before {
          background-image: url(../img/common/icon-mail-blue.svg);
        }
      }
    }
  }
  &.blue {
    background-color: var(--color-deep-blue);
    color: #fff;
    span {
      &.icon-mail {
        &::before {
          background-image: url(../img/common/icon-mail-white.svg);
        }
      }
    }
  }
  /* 小さいサイズ */
  &.size-s {
    font-size: var(--fsize_s);
    padding: 0.75em 1.5em 0.85em;
  }
}
/*--------------------*/
/* アンダーライン */
@media screen and (min-width: 981px) {
  a.underline {
    span {
      position: relative;
      padding: 0.25em 0;
      &::after {
        position: absolute;
        left: 0;
        content: "";
        width: 100%;
        height: 1px;
        background: #000;
        bottom: 0;
        transform: scale(0, 1);
        transform-origin: right top;
        transition: transform 0.2s;
      }
    }

    &:hover {
      span::after {
        transform: scale(1, 1);
        transform-origin: left top;
      }
    }
  }
}
/*〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓
ページトップボタン設定
〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓*/

.pagetop_jump {
  position: fixed;
  right: 0.5rem;
  bottom: 0.5rem;
  visibility: hidden;
  opacity: 0;
  transition: 0.5s;
  z-index: 100;
  width: 4rem;
  height: 4rem;

  &.on {
    visibility: visible;
    opacity: 1;
  }

  a {
    display: block;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.4);
    position: relative;
    font-size: 0;

    &::after {
      content: "";
      position: absolute;
      display: block;
      top: 50%;
      left: 50%;
      width: 1rem;
      height: 1rem;
      border: 1px solid #fff;
      border-bottom: none;
      border-left: none;
      transform: translate(-50%, -25%) rotate(-45deg);
    }

    /*PC版のみhoverを付与*/

    @media screen and (min-width: 769px) {
      &:hover {
        opacity: 0.7;
        transition: 0.2s;
      }
    }
  }
}
.home {
  @media screen and (max-width: 480px) {
    .pagetop_jump {
      bottom: 7rem;
    }
  }
}

/*〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓
画像
〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓*/

img {
  width: 100%;
  height: auto;

  &.ojf_cover {
    object-fit: cover;
    width: 100%;
    height: 100%;
    display: block;
  }

  &.ojf_contain {
    object-fit: contain;
    width: 100%;
    height: 100%;
    display: block;
  }
}

.ojf_cover_wrap {
  > img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    display: block;
  }
}

.ojf_contain_wrap {
  > img {
    object-fit: contain;
    width: 100%;
    height: 100%;
    display: block;
  }
}

/*〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓
ローディング画面
〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓*/

#loading-screen {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: #fff;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9999;
  transition: opacity 0.3s ease-out;
  .loader {
    position: relative;
    width: min(20%, 120px);
    aspect-ratio: 1/1;
    &::before {
      content: "";
      background-image: url(../img/common/logo-adsign.svg);
      background-size: contain;
      background-position: center center;
      background-repeat: no-repeat;
      display: block;
      position: absolute;
      top: calc(50% - 4px);
      left: 50%;
      transform: translate(-50%, -50%);
      width: 100%;
      aspect-ratio: 1/1;
    }
    div.progress {
      position: absolute;
      bottom: 0;
      height: 4px;
      width: 100%;
      --c: no-repeat linear-gradient(#999 0 0);
      background: var(--c), var(--c), #ccc;
      background-size: 60% 100%;
      animation: l16 3s infinite;
    }
  }
}
@keyframes l16 {
  0% {
    background-position:
      -150% 0,
      -150% 0;
  }
  66% {
    background-position:
      250% 0,
      -150% 0;
  }
  100% {
    background-position:
      250% 0,
      250% 0;
  }
}

#loading-screen {
  &.fade-out {
    opacity: 0;
  }
}
#page_wrap {
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
  &.visible {
    opacity: 1;
  }
}

/*〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓
ページ設定
〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓*/

#page_wrap {
  background-color: #eee;
  /*--------------------*/
  /* ページ全体の幅 */
  min-width: 320px;
  /* header.cssの#headerの高さと連動 */
  /* padding-top: 9.6rem; */

  @media screen and (max-width: 480px) {
    /* header.cssの#headerの高さと連動 */
    padding-top: 4.8rem;
  }

  /*--------------------*/
  /* コンテンツ部分 */
  #contents-wrap {
  }
}

/*〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓
共通設定
〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓*/

/* ブロック要素 */
section.general {
  padding: 10rem 2rem;
  @media screen and (max-width: 480px) {
    padding: 4rem var(--fsize_m);
  }
  &:first-of-type {
    padding-top: 0;
  }
  &:last-of-type {
    padding-bottom: 20rem !important;
    @media screen and (max-width: 480px) {
      padding-bottom: 10rem !important;
    }
  }
  .inner {
    max-width: 1152px;
    margin: auto;
  }
}
/* タイトル */
h2.general {
  font-size: var(--fsize_ll);
  text-align: center;
  background-color: var(--color-deep-blue);
  line-height: 1.5;
  padding: 0.5em;
  letter-spacing: 0.1em;
  padding-left: 0.1em;
  color: #fff;
  border-radius: 0 0 0.2em 0.2em;
  margin: 3em 0 2em;
  border-top: 4px solid #fc0;
  &:first-child {
    margin-top: 0;
  }
}

/* リスト */
ul.list-bluehead {
  display: flex;
  flex-wrap: wrap;
  font-size: var(--fsize_l);
  gap: 0.5em 5%;
  @media screen and (max-width: 480px) {
    font-size: var(--fsize_m);
  }
  li {
    line-height: 1.5;
    min-width: 30%;
    padding-left: 1em;
    box-sizing: border-box;
    &::before {
      content: "◼︎";
      color: var(--color-deep-blue);
      display: inline-block;
      margin-left: -1em;
    }
    @media screen and (max-width: 480px) {
      min-width: 30%;
    }
  }
}
/*〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓
404
〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓*/
body.error404 {
  .pagenotfound {
    p {
      font-size: var(--fsize_m);
      line-height: 2;
      text-align: center;
      margin: 1em 0;
    }
  }
}

/*〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓
page_nav 
〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓*/

.page_nav_wrap {
  margin: 6rem 0 0;
  font-size: var(--fsize_m);

  @media screen and (max-width: 480px) {
    margin: 4rem 0 0;
  }

  /*--------------------*/
  /* シングルページ */
  .page_nav_wrap {
    ul.page_nav {
      display: flex;
      justify-content: space-around;
      @media screen and (max-width: 480px) {
        margin: 4rem 0 0;
      }

      li {
        width: 30%;
        text-align: center;

        .archive {
        }

        .prev,
        .next {
        }
      }
    }
  }
}
/*〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓〓*/
/*WP PageNavi*/

.wp-pagenavi_wrap {
}

.wp-pagenavi {
  text-align: center;
  font-size: var(--fsize_s);
}

/* ページ数表示 */
.wp-pagenavi span.pages {
  border: none;
  vertical-align: middle;
  margin: 0 0.6rem;
}

/* 基本の構成要素 */
/* emを使うと矢印の部分でfont-size:0;を指定しているので、
矢印要素がすべて消えてしまうので使わないように */
.wp-pagenavi a,
.wp-pagenavi .current,
.wp-pagenavi .extend {
  display: inline-block;
  vertical-align: middle;
  height: 3.6rem;
  line-height: 3.6rem;
  min-width: 3.6rem;
  text-align: center;
  margin: 0 0.6rem;
  padding: 0;
  box-sizing: border-box;
  border: none;
  letter-spacing: normal;
  border-radius: 0.5rem;
  text-decoration: none;
  background-color: #ccc;
  color: #000;
  font-weight: normal;
}

/* 現在位置 */
.wp-pagenavi .current {
  background-color: #000;
  color: #fff;
  font-weight: bold;
}

/* …の文字 */
.wp-pagenavi .extend {
  background-color: transparent;
  margin: 0;
}

/* 矢印 */
.wp-pagenavi a.nextpostslink,
.wp-pagenavi a.previouspostslink,
.wp-pagenavi a.last,
.wp-pagenavi a.first {
  position: relative;
  font-size: 0;
  background-color: transparent;
  margin: 0;
}

/* 前後 */
.wp-pagenavi a.nextpostslink::after,
.wp-pagenavi a.previouspostslink::after,
.wp-pagenavi a.last::after,
.wp-pagenavi a.last::before,
.wp-pagenavi a.first::after,
.wp-pagenavi a.first::before {
  content: "";
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-62.5%, -50%) rotate(45deg);
  width: 0.6rem;
  height: 0.6rem;
  border: 2px solid #000;
  border-bottom: none;
  border-left: none;
}

.wp-pagenavi a.previouspostslink::after {
  transform: translate(-37.5%, -50%) rotate(45deg) scale(-1, -1);
}

/* 最前最後 */
.wp-pagenavi a.last::after {
  transform: translate(-25%, -50%) rotate(45deg);
}

.wp-pagenavi a.last::before {
  transform: translate(-100%, -50%) rotate(45deg);
}

.wp-pagenavi a.first::after {
  transform: translate(-0%, -50%) rotate(45deg) scale(-1, -1);
}

.wp-pagenavi a.first::before {
  transform: translate(-75%, -50%) rotate(45deg) scale(-1, -1);
}

@media screen and (max-width: 480px) {
  .wp-pagenavi a,
  .wp-pagenavi .current,
  .wp-pagenavi .extend {
    margin: 0 0.25rem;
  }

  /* 基本の構成要素 */
  .wp-pagenavi a,
  .wp-pagenavi .current,
  .wp-pagenavi .extend {
    height: 2.6rem;
    line-height: 2.6rem;
    min-width: 2.6rem;
  }

  /* 前後 */
  .wp-pagenavi a.nextpostslink::after,
  .wp-pagenavi a.previouspostslink::after,
  .wp-pagenavi a.last::after,
  .wp-pagenavi a.last::before,
  .wp-pagenavi a.first::after,
  .wp-pagenavi a.first::before {
    width: 0.4rem;
    height: 0.4rem;
  }
}
